Upstream information

CVE-2020-24994 at MITRE

Description

Stack overflow in the parse_tag function in libass/ass_parse.c in libass before 0.15.0 allows remote attackers to cause a denial of service or remote code execution via a crafted file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1184153 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libass-devel >= 0.14.0-3.6.1
  • libass9 >= 0.14.0-3.6.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2021-1664
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • libass-devel >= 0.14.0-3.6.1
  • libass9 >= 0.14.0-3.6.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP2-2021-1664
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libass-devel >= 0.14.0-3.6.1
  • libass9 >= 0.14.0-3.6.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA libass-0.14.0-3.9.1
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA libass-devel-0.14.0-3.9.1
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Desktop Applications 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • libass-devel >= 0.14.0-3.6.1
  • libass9 >= 0.14.0-3.6.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 GA libass-0.14.0-150000.3.11.1
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 GA libass-devel-0.14.0-150000.3.11.1
openSUSE Leap 15.2
  • libass-devel >= 0.14.0-lp152.4.6.1
  • libass9 >= 0.14.0-lp152.4.6.1
  • libass9-32bit >= 0.14.0-lp152.4.6.1
Patchnames:
openSUSE-2021-773
openSUSE Leap 15.3
  • libass-devel >= 0.14.0-3.6.1
  • libass9 >= 0.14.0-3.6.1
  • libass9-32bit >= 0.14.0-3.6.1
Patchnames:
openSUSE-SLE-15.3-2021-1664
openSUSE Leap 15.4
  • libass9 >= 0.14.0-3.9.1
Patchnames:
openSUSE Leap 15.4 GA libass9-0.14.0-3.9.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libass Released
SUSE Linux Enterprise Desktop 15 SP5 libass Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libass Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP5 libass Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 libass Released
SUSE Linux Enterprise Module for Package Hub 15 SP4 libass Affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 libass Affected
SUSE Linux Enterprise Real Time 15 SP3 libass Affected
SUSE Linux Enterprise Server 12 SP5 libass Won't fix
SUSE Linux Enterprise Server 12-LTSS libass Won't fix
SUSE Linux Enterprise Server 15 SP5 libass Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libass Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libass Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libass Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libass Won't fix
SUSE Manager Proxy 4.3 libass Released
SUSE Manager Retail Branch Server 4.3 libass Released
SUSE Manager Server 4.3 libass Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libass Released
SUSE Linux Enterprise High Performance Computing 15 libass Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 libass Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libass Released
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libass Released
SUSE Linux Enterprise High Performance Computing 15 SP2 libass Released
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libass Released
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libass Released
SUSE Linux Enterprise High Performance Computing 15 SP3 libass Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libass Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libass Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libass Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS libass Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS libass Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS libass Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS libass Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libass Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libass Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libass Released
SUSE Linux Enterprise Server 12 SP2-BCL libass Won't fix
SUSE Linux Enterprise Server 15 SP2 libass Released
SUSE Linux Enterprise Server 15 SP2-LTSS libass Released
SUSE Linux Enterprise Server 15 SP3 libass Released
SUSE Linux Enterprise Server 15 SP3-LTSS libass Affected
SUSE Linux Enterprise Server 15 SP4 libass Released
SUSE Linux Enterprise Server 15 SP4-LTSS libass Affected
SUSE Linux Enterprise Server 15-ESPOS libass Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libass Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 libass Released
SUSE Linux Enterprise Server for SAP Applications 15 libass Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libass Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libass Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libass Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libass Affected
SUSE CaaS Platform 4.0 libass Released
SUSE CaaS Platform 4.5 libass Released
SUSE Enterprise Storage 6 libass Released
SUSE Enterprise Storage 7 libass Released
SUSE Linux Enterprise Desktop 12 libass Won't fix
SUSE Linux Enterprise Desktop 12 SP1 libass Won't fix
SUSE Linux Enterprise Desktop 12 SP2 libass Won't fix
SUSE Linux Enterprise Desktop 12 SP3 libass Won't fix
SUSE Linux Enterprise Desktop 12 SP4 libass Won't fix
SUSE Linux Enterprise Desktop 15 libass Affected
SUSE Linux Enterprise Desktop 15 SP1 libass Affected
SUSE Linux Enterprise Desktop 15 SP2 libass Released
SUSE Linux Enterprise Desktop 15 SP3 libass Released
SUSE Linux Enterprise Module for Desktop Applications 15 libass Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 libass Affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 libass Unsupported
SUSE Linux Enterprise Real Time 15 SP2 libass Released
SUSE Linux Enterprise Real Time 15 SP4 libass Affected
SUSE Linux Enterprise Server 12 libass Won't fix
SUSE Linux Enterprise Server 12 SP1 libass Won't fix
SUSE Linux Enterprise Server 12 SP1-LTSS libass Won't fix
SUSE Linux Enterprise Server 12 SP2 libass Won't fix
SUSE Linux Enterprise Server 12 SP2-ESPOS libass Unsupported
SUSE Linux Enterprise Server 12 SP2-LTSS libass Unsupported
SUSE Linux Enterprise Server 12 SP3 libass Won't fix
SUSE Linux Enterprise Server 12 SP3-BCL libass Won't fix
SUSE Linux Enterprise Server 12 SP3-ESPOS libass Unsupported
SUSE Linux Enterprise Server 12 SP3-LTSS libass Unsupported
SUSE Linux Enterprise Server 12 SP4 libass Won't fix
SUSE Linux Enterprise Server 12 SP4-ESPOS libass Won't fix
SUSE Linux Enterprise Server 12 SP4-LTSS libass Won't fix
SUSE Linux Enterprise Server 15 libass Affected
SUSE Linux Enterprise Server 15 SP1 libass Affected
SUSE Linux Enterprise Server 15 SP1-BCL libass Affected
SUSE Linux Enterprise Server 15 SP1-LTSS libass Released
SUSE Linux Enterprise Server 15 SP2-BCL libass Affected
SUSE Linux Enterprise Server 15 SP3-BCL libass Affected
SUSE Linux Enterprise Server 15-LTSS libass Released
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libass Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 libass Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libass Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libass Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libass Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libass Won't fix
SUSE Linux Enterprise Software Development Kit 12 libass Won't fix
SUSE Linux Enterprise Software Development Kit 12 SP1 libass Won't fix
SUSE Linux Enterprise Software Development Kit 12 SP2 libass Won't fix
SUSE Linux Enterprise Software Development Kit 12 SP3 libass Won't fix
SUSE Linux Enterprise Software Development Kit 12 SP4 libass Won't fix
SUSE Manager Proxy 4.0 libass Released
SUSE Manager Proxy 4.1 libass Released
SUSE Manager Proxy 4.2 libass Released
SUSE Manager Retail Branch Server 4.0 libass Released
SUSE Manager Retail Branch Server 4.1 libass Released
SUSE Manager Retail Branch Server 4.2 libass Released
SUSE Manager Server 4.0 libass Released
SUSE Manager Server 4.1 libass Released
SUSE Manager Server 4.2 libass Released
SUSE OpenStack Cloud 7 libass Unsupported
SUSE OpenStack Cloud 8 libass Affected
SUSE OpenStack Cloud 9 libass Won't fix
SUSE OpenStack Cloud Crowbar 8 libass Affected
SUSE OpenStack Cloud Crowbar 9 libass Won't fix
Products at an unknown state of their lifecycle.
SUSE Linux Enterprise Desktop 15 SP4-LTSS libass Affected


SUSE Timeline for this CVE

CVE page created: Wed Mar 24 00:40:55 2021
CVE page last modified: Thu Feb 1 01:37:50 2024